> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trending Tokens

> Gets the trending tokens.



## OpenAPI

````yaml /reference/api-json.json get /market-data/trending
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /market-data/trending:
    get:
      tags:
        - Market Data
      summary: Get Trending Tokens
      description: Gets the trending tokens.
      operationId: MarketDataTrendingTokens
      parameters:
        - name: criteria
          required: false
          in: query
          description: Trending based on criteria
          schema:
            default: Gainers And Losers
            example: Gainers And Losers
            enum:
              - Most Searched
              - Gainers And Losers
              - Most Visited
              - Volume
              - Market Cap
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - CoinGecko
              - CoinMarketCap
              - CryptoCompare
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketDataTrendingTokensResponse'
components:
  schemas:
    MarketDataTrendingTokensResponse:
      type: object
      properties:
        coins:
          type: array
          items:
            $ref: '#/components/schemas/MarketDataTrendingTokensResponseItem'
      required:
        - coins
    MarketDataTrendingTokensResponseItem:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````